%global packname  GenomeInfoDb

Name:             R-%{packname}
Version:          1.0.2
Release:          1%{?dist}
Summary:          Utilities for manipulating chromosome and other 'seqname' identifiers
Group:            Applications/Productivity
License:          Artistic 2.0
URL:              http://www.bioconductor.org/packages/release/bioc/html/GenomeInfoDb.html
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
Requires:         R-core >= 3.1.0, tex(latex)
BuildRequires:    R-devel >= 3.1.0
BuildArch:        noarch

%description
The Seqnames package contains data and functions that define and allow 
translation between different chromosome sequence naming conventions (e.g., 
"chr1" versus "1"), including a function that attempts to place sequence 
names in their natural, rather than lexicographic, order.

%prep
%setup -c -q -n %{packname}

sed -i 's/\r//' GenomeInfoDb/NEWS

%build

%install
mkdir -p %{buildroot}%{_datadir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

sed -i 's/\r//' %{buildroot}%{_datadir}/R/library/%{packname}/doc/Accept-organism-for-GenomeInfoDb.Rnw
sed -i 's/\r//' %{buildroot}%{_datadir}/R/library/%{packname}/doc/GenomeInfoDb.Rnw

%check
# All sorts of missing Suggests prevents this from working.
# %%{_bindir}/R CMD check %%{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/NEWS
%doc %{_datadir}/R/library/%{packname}/doc/
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/extdata/
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/unitTests/

%changelog
* Mon Jun  9 2014 Tom Callaway <spot@fedoraproject.org> - 1.0.2-1
- initial package
